Get controlled study IDs

/v2/third-party-provider/ras-bdc/access

This call returns a list of study IDs associated with the authenticated RAS user. These study IDs represent the controlled-access datasets (such as TOPMed studies) you have been authorized to access through dbGaP.

Path

https://api.sb.biodatacatalyst.nhlbi.nih.gov/v2/third-party-provider/ras-bdc/access 

Request

Example request

GET /v2/third-party-provider/ras-bdc/access HTTP/1.1 
Host: api.sb.biodatacatalyst.nhlbi.nih.gov 
X-SBG-Auth-Token: 3259c50e1ac5426ea8f1273259740f74 
curl -s -H "X-SBG-Auth-Token: 3259c50e1ac5426ea8f1273259740f74" \ 
 -X GET "https://api.sb.biodatacatalyst.nhlbi.nih.gov/v2/third-party-provider/ras-bdc/access"

Header Fields

NameDescription
X-SBG-Auth-TokenYour Platform authentication token.

Path parameters

NameDescription
`idpslugRequired. Identity provider slug. For BDC, use ras-bdc.

Response

See a list of specific response codes that may be contained in the body of the response.

Query parameters

KeyData typeDescription
itemsarrayArray of access ID objects.
access_idstringThe dbGaP study accession (e.g., phs001024.v3.p1) for which you have authorized access.

Example response body

{ 
  "access_ids": [ 
    ' phs000956.v4.p1', 
    ' phs001024.v3.p1', 
] 
} 

Prerequisites

Before using this endpoint, ensure you have:

  • A RAS account linked to your BDC account
  • Approved Data Access Requests (DARs) in dbGaP for the studies you wish to access
  • A valid authentication token

Related API Calls